/*
 * test_watc.c
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simon Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#include <glib.h>
#include <stdio.h>
#include <unistd.h>
#include "watc_provider.h"

static void show_watc_info(gpointer info, gpointer data);

gint main(gint argc, gchar **argv) {

	GSList *result_list = NULL;
	const gchar *movie_name = NULL;

	if (argc != 2) {
		movie_name = "Zombieland";
	} else {
		movie_name = argv[1];
	}

	g_thread_init(NULL);
	g_type_init();

	result_list = watc_has_stingers(movie_name);

	g_slist_foreach(result_list, (GFunc) show_watc_info, NULL);

	watcinfo_list_unref(result_list);

	return 1;
}

static void show_watc_info(gpointer info, gpointer data) {

	WATCInfo *movie_info = (info);

	watcinfo_print(movie_info);

}
